%define old_name x11-data-xkbdata

%define git_url git://anongit.freedesktop.org/xkeyboard-config

Name: xkeyboard-config
Epoch: 1
Version: 1.8
Release: %mkrel 2
BuildArch: noarch
Summary: XKB data files
URL:   http://www.freedesktop.org/wiki/Software/XKeyboardConfig
Group: Development/X11
Source: xkeyboard-config-%{version}.tar.bz2

# symbols/kg and symbols/la besides looking very simple patches, did not apply
#   cleanly, so removed for now
# Dropped all conflicting patches
# (cg) When doing 1.3->1.4 rediff the tj keymap changes were dropped
# due to an upstream change that seems to address the issue differently
Patch0: xkeyboard-config-1.4-fixkbd.patch

# (Anssi 09/2008) Add fi(kotoistus_classic_nbsp) and use that by default.
# It has nbsp in level4 instead of level3 to avoid typos, as in fi(classic).
# See http://bugs.freedesktop.org/show_bug.cgi?id=12764
# Comments have been sent to the Kotoistus project.
Patch1: xkeyboard-config-1.3-fi-kotoistus_classic_nbsp.patch

# Morocco symbols/tifinagh should be symbols/ma in the official version
# Nigerian symbols/ng seens to match
# Pakistanese is pk in 1.1, not snd
# symbols/tm "Turkmen" is the same as symbols/tr "Turkey" in 1.1? seens
#	quite different
# symbols/urd seens to be 1.1's symbols/in (claims support for all Indian
#	keyboard layouts)
# symbols/kur "Kurdish" is apparently in several different Kurdish support
#	files/descriptions
# symbols/chr "Cherokee" being dropped? or already integrated in some other
#	description?
Patch2: xkbdata-1.0.1-newkbd.patch

# Keeping for bugzilla #28919
Patch4: xkb-fix_uz.patch

Patch5: xkeyboard-config-add-various-inet-keys-to-pc105.patch
# (fc) 1.5-2mdv map key_battery, wlan, bluetooth, uwb to their XF86 keycodes (GIT)
Patch6: xkeyboard-config-1.4-battery.patch
# Revert change that disables zapping by default
Patch9: xkeyboard-config-1.6-Enable-zapping-by-default.patch

License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: xkbcomp >= 1.0.1
BuildRequires: perl-XML-Parser
BuildRequires: intltool
BuildRequires: glib-gettextize
# https://qa.mandriva.com/show_bug.cgi?id=44052
BuildRequires: gettext-devel

%description
Xkeyboard-config provides consistent, well-structured, frequently released of X
keyboard configuration data (XKB) for various X Window System implementations.

%package -n %{old_name}
Summary: %{summary}
Group: %{group}

%description -n %{old_name}
Xkeyboard-config provides consistent, well-structured, frequently released of X
keyboard configuration data (XKB) for various X Window System implementations.

%prep
%setup -q 

# Keyboard fixes patches -- pablo
%patch0 -p1 -b .fixkbd

	#   Not applied as most are already implemented, but in a compeletely
	#   different way. May need some review as described for Patch2:
	#   Still just keeping the old patch for reference in case problems
	#   arise.
# New keyboard layouts -- pablo
# %patch2 -p1 -b .newkbd
# needed by patch2
# automake

%patch1 -p1
%patch4 -p1 -b .uz_fix
#%patch5 -p1
%patch6 -p1 -b .battery
%patch9 -p1 -b .enable-zapping

# fix build
aclocal
autoconf

%build
%configure2_5x --enable-compat-rules \
    		--with-xkb-base=%{_datadir}/X11/xkb \
    		--disable-xkbcomp-symlink \
    		--with-xkb-rules-symlink=xorg

%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}%{_localstatedir}/lib/xkb
#need this symlink for xkb to work (Mdv bug #34195)
ln -snf %{_localstatedir}/lib/xkb $RPM_BUILD_ROOT/usr/share/X11/xkb/compiled

%find_lang %{name}

%clean
rm -rf %{buildroot}

%pre -n %{old_name}
# this was a directory in the old installation
if [ -d "%{_datadir}/X11/xkb/compiled" ]; then
	rm -rf %{_datadir}/X11/xkb/compiled
fi

%files -f %{name}.lang -n %{old_name}
%defattr(-,root,root)
%dir %{_datadir}/X11/xkb/
%attr(1777,root,root) %dir %{_localstatedir}/lib/xkb
%{_datadir}/X11/xkb/*


%changelog
* Wed Feb 03 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1:1.8-2mdv2010.1
+ Revision: 500397
- Temporarily disable patch5

* Wed Jan 27 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1:1.8-1mdv2010.1
+ Revision: 497109
- New version: 1.8
- add-various-inet-keys-to-pc105.patch partially applied upstream
- remove "version" macro

* Fri Nov 13 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1:1.7-1mdv2010.1
+ Revision: 465756
- New version: 1.7
  Drop patches 7 and 8 (applied upstream)

* Mon Jul 06 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1:1.6-5mdv2010.0
+ Revision: 392984
- enable terminate(ctrl_alt_bksp) by default

* Tue Jun 16 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1:1.6-4mdv2010.0
+ Revision: 386411
- Fix ABNT2 mapping for the numpad dot key (output '.' instead of ',')

* Thu Jun 04 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1:1.6-3mdv2010.0
+ Revision: 382915
- update to version 1.6
- drop patch applied upstream

  + Christophe Fergeau <cfergeau@mandriva.com>
    - Remove hunks for issues which are already fixed upstream

* Mon Mar 16 2009 Frederic Crozat <fcrozat@mandriva.com> 1:1.5-3mdv2009.1
+ Revision: 355935
- Update hibernate-evdev patch with upstream version (also bind XF86Hibernate)
- Add git_url

* Thu Feb 26 2009 Frederic Crozat <fcrozat@mandriva.com> 1:1.5-2mdv2009.1
+ Revision: 345276
- Patch6 (GIT): map key_battery, wlan, bluetooth, uwb to their XF86 keycodes
- Patch7 (GIT): some keyboard still needs quirks in evdev
- Patch8: evdev should send XF86Hibernate instead of XF86Standby for hibernate key

* Thu Feb 26 2009 Frederic Crozat <fcrozat@mandriva.com> 1:1.5-1mdv2009.1
+ Revision: 345244
- Release 1.5
- Regenerate all patches

* Sat Nov 29 2008 Colin Guthrie <cguthrie@mandriva.org> 1:1.4-1mdv2009.1
+ Revision: 308023
- Remove obsolete patches
- Rediff patches no longer applying
- New version: 1.4

* Fri Oct 31 2008 Pixel <pixel@mandriva.com> 1:1.3-6mdv2009.1
+ Revision: 298910
- increase release for x11-server require
- xkbcomp is called as user (through pam) so /var/lib/xkb must be 1777

* Sat Sep 20 2008 Anssi Hannula <anssi@mandriva.org> 1:1.3-4mdv2009.0
+ Revision: 286119
- buildrequire gettext-devel (workarounds #44052)
- Add fi(kotoistus_classic_nbsp) and use that by default. It has nbsp in
  level4 instead of level3 to avoid typos. Default Finnish layouts of
  previous Mandriva releases have also used level4.
  (see http://bugs.freedesktop.org/show_bug.cgi?id=12764 for discussion)

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:1.3-3mdv2009.0
+ Revision: 266093
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Wed May 28 2008 Colin Guthrie <cguthrie@mandriva.org> 1:1.3-2mdv2009.0
+ Revision: 212465
- Fix typo when rediffing patches (thanks pixel)

* Wed May 28 2008 Colin Guthrie <cguthrie@mandriva.org> 1:1.3-1mdv2009.0
+ Revision: 212229
- New version
- Adapt patch0 (misc fixes to various keyboard symbols) for new code (one hunk applied upstream).
- Adapt patch5 (pc105 inet keys) to new code.
- Drop patch6 (finnish symbols): applied upstream.

* Tue May 20 2008 Pixel <pixel@mandriva.com> 1:1.2-7mdv2009.0
+ Revision: 209465
- remove warning "Expected keysim, got XF86Info: line 959 of inet."

* Thu Apr 24 2008 Anssi Hannula <anssi@mandriva.org> 1:1.2-6mdv2009.0
+ Revision: 197262
- drop altgr-space combination for non-breaking space on Finnish
  Kotoistus layout (patch from upstream, see
  http://bugs.freedesktop.org/show_bug.cgi?id=12764#c8 )

* Thu Mar 27 2008 Pixel <pixel@mandriva.com> 1:1.2-5mdv2008.1
+ Revision: 190628
- workarounding #39418 by unsetting EuroSign in il(lyx)

* Fri Mar 14 2008 Pixel <pixel@mandriva.com> 1:1.2-4mdv2008.1
+ Revision: 187794
- bind XFER to XF86Music (it should be AudioMedia too, but it breaks) (#38861)
- modify patch fixkbd instead of doing it in a new patch (for bug #38450)

* Mon Mar 10 2008 Paulo Andrade <pcpa@mandriva.com.br> 1:1.2-3mdv2008.1
+ Revision: 183822
- This should fix: Romanian keyboard layout -> err flag (#38450)
  But the complete sugested changes cannot be done as symbols.dir
  is generated in make install by xkbcomp.

* Thu Mar 06 2008 Pixel <pixel@mandriva.com> 1:1.2-2mdv2008.1
+ Revision: 180840
- ensure inet(common) doesn't even have multiples keycodes for a keysym
  (otherwise it breaks XKeysymToKeycode, esp. libegg eggaccelerators.c)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix summary-not-capitalized

* Thu Jan 31 2008 Frederic Crozat <fcrozat@mandriva.com> 1:1.2-1mdv2008.1
+ Revision: 160801
- Fix Buildrequires
- Release 1.2
- Package gettext translations, they are used by libxklavier now

* Tue Jan 22 2008 Pixel <pixel@mandriva.com> 1:1.1-6mdv2008.1
+ Revision: 156290
- remove duplicated keys in inet(common)

* Mon Jan 21 2008 Pixel <pixel@mandriva.com> 1:1.1-5mdv2008.1
+ Revision: 155902
- have some standard extended keys in model "pc105" (need testing to ensure it does not break)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 21 2007 Pixel <pixel@mandriva.com> 1:1.1-4mdv2008.1
+ Revision: 136533
- restore "oe" through AltGr-o for "fr(basic)" (#35791)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 28 2007 Frederic Crozat <fcrozat@mandriva.com> 1:1.1-3mdv2008.0
+ Revision: 93539
- Rename specfile
- Fix naming of package
- Rebuild with new upstream tarball
- Add missing symlink for xkbcomp to work fine (Mdv bug #34195)

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Update to xkeyboard-config 1.1. Conflicts when analyzing the changes regarding
      to old patches are commented in the spec file.
    - Update xkb-fix_uz patch, based on new patch proposed for Bugzilla #28918

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - Renaming x11-data-xkbdata to xkeyboard-config (to reflect the upstream naming)

